summaryrefslogtreecommitdiff
path: root/hooks/boot-usb
diff options
context:
space:
mode:
authorAaron Griffin <aaron@archlinux.org>2006-09-29 06:19:06 +0000
committerAaron Griffin <aaron@archlinux.org>2006-09-29 06:19:06 +0000
commit49284a96faf1c29b6b05ac70ea5c2ecda03fa75f (patch)
tree150d9275d07fec99ceb66f4584a980bbf9b2ff62 /hooks/boot-usb
parent2b5cd0819fdf0d3f408f3e9d72060b90f4320c38 (diff)
git-svn-id: http://phraktured.net/archiso@15 00a9fe69-e71b-0410-bb23-df0e5024db41
Diffstat (limited to 'hooks/boot-usb')
-rw-r--r--hooks/boot-usb30
1 files changed, 30 insertions, 0 deletions
diff --git a/hooks/boot-usb b/hooks/boot-usb
new file mode 100644
index 0000000..9898ff6
--- /dev/null
+++ b/hooks/boot-usb
@@ -0,0 +1,30 @@
+# vim: set ft=sh:
+run_hook ()
+{
+ msg ":: Scanning for boot usb device..."
+
+ /bin/mkdir -p /tmpfs/bootmnt
+ bootmnt="/tmpfs/bootmnt/"
+ found=0
+
+ for usb in /dev/sd[a-z][0-9]; do
+ if mount -r -t vfat "${usb}" ${bootmnt} >/dev/null 2>&1 ||\
+ mount -r -t ext2 "${usb}" ${bootmnt} >/dev/null 2>&1; then
+ if [ -e "${bootmnt}/archiso.sqfs" ]; then
+ found=1
+ msg "${usb}"
+ break
+ fi
+ else
+ echo "Failed to mount ${usb}"
+ fi
+ [ ${found} -eq 0 ] && umount ${bootmnt} >/dev/null 2>&1
+ done
+
+ if [ ${found} -eq 0 ]; then
+ echo "ERROR: cannot find booted usb device, cannot continue..."
+ exit 1
+ else
+ export BOOT_MOUNT="${bootmnt}"
+ fi
+}